AUTOMOUNT(8)

NAME
automount - update autofs mounts

SYNOPSIS
automount [-cfLuv] [-D name=value] [-o options]

DESCRIPTION
When called without options, the automount command parses the auto_master(5) configuration file and any direct maps that it references, and mounts or unmounts autofs(5) file systems to match. These options are available:

-c  Flush caches, discarding possibly stale information obtained from maps and directory services.

-D  Define a variable. It is only useful with -L.

-f  Force unmount, to be used with -u.

-L  Do not mount or unmount anything. Instead parse auto_master(5) and any direct maps, then print them to standard output. When specified more than once, all the maps, including indirect ones, will be parsed and shown. This is useful when debugging configuration problems.

-o  Specify mount options to be used along with the ones specified in the maps. It is only useful with -L.

-u  Try to unmount file systems mounted by automountd(8). autofs(5) mounts are not unmounted. To unmount all autofs(5) mounts, use umount -At autofs.

-v  Increase verbosity.

EXIT STATUS

EXAMPLES
Unmount all file systems mounted by automountd(8):

    automount -u

SEE ALSO
auto_master(5), autofs(5), automountd(8), autounmountd(8)

HISTORY
The automount command appeared in FreeBSD 10.1. The automount command appeared in DragonFly 4.5. The automount command appeared in NetBSD 9.0.

AUTHORS
-nosplit The automount was developed by Edward Tomasz Napierala <trasz@FreeBSD.org> under sponsorship from the FreeBSD Foundation.

The automount was ported to DragonFly and NetBSD by Tomohiro Kusumi <tkusumi@netbsd.org>.